/*
Theme Name: Shoptimizer Child Theme
Theme URI: 
Description: Child theme of Shoptimizer
Author: CommerceGurus
Author URI: 
Template: shoptimizer
Version: 1.2.0
*/

.elementor-element.elementor-products-grid ul.products li.product a.woocommerce-loop-product__link,
ul.products li.product .woocommerce-LoopProduct-link{
  overflow:hidden; 
  text-overflow:ellipsis;
  display:-webkit-box; 
  -webkit-box-orient:vertical;
  -webkit-line-clamp:2; 
}
ul.products li.product .product-label{
	/* display:none !important; */
}

.select_box:not( .on_ptab ) .select_option:hover, .select_option.selected {
  border-color: #f00;
}
#coupons_list h3{
  margin-top: 20px;
}
.woocommerce-checkout.min-ck header h1{
  color: #fff;
}
body #message-purchased {
bottom: 75px !important;
}

.goods_baoz{
	display: flex;
	align-items:center;
	justify-content:space-between;
	margin-top: 10px;
}
.goods_baoz i{
	font-style: normal;
	padding-left:5px;
}
.goods_baoz img{
	height: 25px;
}
.goods_baoz span{
	display:flex;
}
.peisong{
	background: #fff;
	margin: 10px;
	padding: 5px;
}
/* 显示最近更新的日期 */
.entry-date.published:not(.updated) {
display: none;
}

.updated:not(.published) {
display: inline;
}
/* 更改WooCommerce的信息栏颜色 */
/* Normally Red */
.woocommerce-error {
    background-color: #e2401c;
}
 
/* Normally Blue */
.woocommerce-info {
    background-color: #3d9cd2;
}
 
/* Normally Green */
.woocommerce-message {
    background-color: #3bb54a;
}
 
/* Normally Green */
body.single-product .woocommerce-message .message-inner {
    background-color: #3bb54a;
}

/* 购物车加购区 */
.woocommerce-cart .mobile-filter ,.woocommerce-cart .shoptimizer-sorting{
   display: none;
}
.columns-3>.sfn-cart-addons {
  background-color: #f9f9f9;
  border: 1px solid #e2e2e2;
  overflow: hidden;
  padding: 10px;
  width: 100%;
  margin-top: 10px;
}
.sfn-cart-addons h2{
  font-size: 1.4rem;
  font-weight: bold;
  margin-top: 10px;
}

.shoptimizer-sorting{
  overflow: hidden;
}

body .site-main .columns-3 ul.products.sfn-cart-addons li.product {
  width: 25%;
}
ul.products.sfn-cart-addons li.product {
  margin-right:0;
}

/* 購買了該產品的人還購買了 */
.yith-wfbt-form {
  padding: 10px;
}
.price_text {
  padding: 8px 0;
}
.yith-wfbt-submit-block span.total_price{
  color: #f00;
}
.yith-wfbt-items span.product-name {
  text-decoration: underline;
}
.yith-wfbt-items ins span.woocommerce-Price-amount{
  color: #000;
  font-weight: bold;
}
a.yith-wfbt-open-modal {
  display: inline-block;
  background: #448a85;
  color: #fff;
  padding: 3px 10px;
  font-size: 12px;
  border-radius: 2px;
}
li.yith-wfbt-item{
  margin-bottom: 10px;
}



/* 結賬字段 */
body fieldset {
    padding: 10px 0px;
}
/* 優惠消息標紅 */
body .woocommerce-message strong{
	  color:#cf0000;
	  font-weight:block;
}
/* 結帳頁優惠活動字體 */
.woocommerce-checkout-review-order-table tfoot tr.fee th{
	color:#cf0000;
}
/* 產品標籤樣式 */
.theme-shoptimizer ul.products li.product .woocommerce-advanced-product-label{
	display:inline-block !important;
	background:none;
}
.theme-shoptimizer ul.products li.product .woocommerce-advanced-product-label span.wapl-label-text{
	background:#a40000;
	padding:3px 6px;
	border-radius:0px;
}

/* 结算页运费提示消息 */

.woocommerce .woocommerce-info,.woocommerce-checkout .shoptimizer-archive .woocommerce-info{
   background-color: #3d9cd2 !important;
   clear: both !important;
   margin-bottom: 20px !important;
   margin-left: 0 !important;
   padding: 1em 1.618em !important;
   border-left: 0.6180469716em solid rgba(0,0,0,.15) !important;
   border-radius: 2px !important;
   color: #fff !important;
   font-size: 15px !important;
}





